aboutsummaryrefslogtreecommitdiffhomepage
path: root/.travis-ci.sh
diff options
context:
space:
mode:
authorcbdev <cb@cbcdn.com>2020-04-27 22:20:19 +0200
committercbdev <cb@cbcdn.com>2020-04-27 22:20:19 +0200
commitc0bb55ff08faf2f89af947090d1c9bc412927d9f (patch)
treef5961d3c51d07f290c933ee3c7dac8926b79196e /.travis-ci.sh
parent30d7adab904dfb5350ba57f1cc0e2de49a740c01 (diff)
downloadmidimonster-0.5.tar.gz
midimonster-0.5.tar.bz2
midimonster-0.5.zip
Fix CI scriptv0.5
Diffstat (limited to '.travis-ci.sh')
-rw-r--r--.travis-ci.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/.travis-ci.sh b/.travis-ci.sh
index 40beec6..8f6a5ca 100644
--- a/.travis-ci.sh
+++ b/.travis-ci.sh
@@ -62,13 +62,13 @@ elif [ "$TASK" = "codesmell" ]; then
elif [ "$TASK" = "sanitize" ]; then
# Run sanitized compile
travis_fold start "make_sanitize"
- if make sanitize; then
+ if ! make sanitize; then
exit "$?"
fi
travis_fold end "make_sanitize"
elif [ "$TASK" = "windows" ]; then
travis_fold start "make_windows"
- if make windows; then
+ if ! make windows; then
exit "$?"
fi
make -C backends lua.dll
@@ -92,7 +92,7 @@ elif [ "$TASK" = "windows" ]; then
else
# Otherwise compile as normal
travis_fold start "make"
- if make full; then
+ if ! make full; then
exit "$?"
fi
travis_fold end "make"